Bug 430057 - SIGHUP did not reopen files as needed for logrotation
SIGHUP did not reopen files as needed for logrotation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: syslog-ng (Show other bugs)
8
i386 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Douglas E. Warner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 04:31 EST by Herbert Gasiorowski
Modified: 2008-02-07 16:02 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.0.8-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 15:57:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Herbert Gasiorowski 2008-01-24 04:31:35 EST
Description of problem:
logrotate sends a SIGHUP signal, but the logs are still appended to the
old file *.1

Version-Release number of selected component (if applicable):
syslog-ng-2.0.7-1.fc8

Additional info:
There are allready some patches:
http://git.balabit.hu/?p=bazsi/syslog-ng-2.0.git;a=commit;h=a8b9878ab38b10d24df7b773c8c580d341b22383
Comment 1 Terje Røsten 2008-01-29 01:19:41 EST
Please respond to this bug, it breaks security tools like denyhosts which
only use /var/log/secure and not /var/log/secure.1.

I changed to urgent.




 
Comment 2 Fedora Update System 2008-01-29 15:12:10 EST
syslog-ng-2.0.7-2.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-01-29 15:13:06 EST
syslog-ng-2.0.7-2.fc8 has been submitted as an update for Fedora 8
Comment 4 Terje Røsten 2008-01-29 15:47:04 EST
Thanks Herbert! 
Comment 5 Fedora Update System 2008-01-31 13:41:29 EST
syslog-ng-2.0.8-1.fc7 has been submitted as an update for Fedora 7
Comment 6 Fedora Update System 2008-01-31 13:42:07 EST
syslog-ng-2.0.8-1.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-02-02 03:58:42 EST
syslog-ng-2.0.8-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update syslog-ng'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-1273
Comment 8 Fedora Update System 2008-02-07 15:57:50 EST
syslog-ng-2.0.8-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-02-07 16:02:48 EST
syslog-ng-2.0.8-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.